All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals
Class BasicTriStateCheckBoxListUI.IncrementLeadSelectionAction

    com.sas.swing.visuals.BasicTriStateCheckBoxListUI.IncrementLeadSelectionAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

Direct Known Subclasses:
  BasicTriStateCheckBoxListUI.EndAction, BasicTriStateCheckBoxListUI.HomeAction, BasicTriStateCheckBoxListUI.PageDownAction, BasicTriStateCheckBoxListUI.PageUpAction

Enclosing class:
  BasicTriStateCheckBoxListUI

    public static class BasicTriStateCheckBoxListUI.IncrementLeadSelectionAction

Action to increment the selection in the list up/down a row at a type. This also has the option to extend the selection, or only move the lead.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.swing.visuals.BasicCheckBoxListUI.IncrementLeadSelectionAction
`amount, selectionType`

Constructor Summary
`BasicTriStateCheckBoxListUI.IncrementLeadSelectionAction(java.lang.String name, int type)`
`BasicTriStateCheckBoxListUI.IncrementLeadSelectionAction(java.lang.String name, int type, int amount)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Invokes `getNextIndex` to determine the next index to select.

Methods inherited from class com.sas.swing.visuals.BasicCheckBoxListUI.IncrementLeadSelectionAction
`ensureIndexIsVisible, getNextIndex`

Constructor Detail

### BasicTriStateCheckBoxListUI.IncrementLeadSelectionAction

    public BasicTriStateCheckBoxListUI.IncrementLeadSelectionAction(java.lang.String name,
                                                                    int type)

### BasicTriStateCheckBoxListUI.IncrementLeadSelectionAction

    public BasicTriStateCheckBoxListUI.IncrementLeadSelectionAction(java.lang.String name,
                                                                    int type,
                                                                    int amount)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Invokes `getNextIndex` to determine the next index to select. If the index is valid (not -1 and < size of the model), this will either: move the selection to the new index and change its value if the selectionType == CHANGE_SELECTION, or move the selection to the new index if selectionType == MOVE_TO_SELECTION.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Overrides:
    `actionPerformed` in class `BasicCheckBoxListUI.IncrementLeadSelectionAction`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.